Bug 195809 - should use runuser instead of su
should use runuser instead of su
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: beagle (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-17 19:34 EDT by Russell Coker
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-21 07:59:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Russell Coker 2006-06-17 19:34:44 EDT
Description of problem:
The functionality of runuser and su is identical in 
the /etc/cron.daily/beagle-crawl-system, but runuser makes things easier for 
SE Linux policy and will also provide better future support for daemon tasks.  
runuser is specifically designed for running non-root system programs.
Comment 1 Alexander Larsson 2006-06-21 07:59:17 EDT
Doing this in 0.2.7-1.

Note You need to log in before you can comment on or make changes to this bug.